
/* Chrysalide - Outil d'analyse de fichiers binaires
 * breaks.h - prototypes pour le panneau d'affichage des points d'arrêt
 *
 * Copyright (C) 2010-2018 Cyrille Bagard
 *
 *  This file is part of Chrysalide.
 *
 *  Chrysalide is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 3 of the License, or
 *  (at your option) any later version.
 *
 *  Chrysalide is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */


#ifndef _PANELS_BREAKS_H
#define _PANELS_BREAKS_H


#include <glib-object.h>


#include "panel.h"



#define G_TYPE_BREAKS_PANEL               g_breaks_panel_get_type()
#define G_BREAKS_PANEL(obj)               (G_TYPE_CHECK_INSTANCE_CAST((obj), g_breaks_panel_get_type(), GBreaksPanel))
#define G_IS_BREAKS_PANEL(obj)            (G_TYPE_CHECK_INSTANCE_TYPE((obj), g_breaks_panel_get_type()))
#define G_BREAKS_PANEL_CLASS(klass)       (G_TYPE_CHECK_CLASS_CAST((klass), G_TYPE_BREAKS_PANEL, GBreaksPanelClass))
#define G_IS_BREAKS_PANEL_CLASS(klass)    (G_TYPE_CHECK_CLASS_TYPE((klass), G_TYPE_BREAKS_PANEL))
#define G_BREAKS_PANEL_GET_CLASS(obj)     (G_TYPE_INSTANCE_GET_CLASS((obj), G_TYPE_BREAKS_PANEL, GBreaksPanelClass))


/* Panneau d'affichage des points d'arrêt (instance) */
typedef struct _GBreaksPanel GBreaksPanel;

/* Panneau d'affichage des points d'arrêt (classe) */
typedef struct _GBreaksPanelClass GBreaksPanelClass;


/* Indique le type défini pour un panneau d'affichage des points d'arrêt. */
GType g_breaks_panel_get_type(void);

/* Crée un panneau d'affichage des points d'arrêt. */
GEditorPanel *g_breaks_panel_new(void);



#endif  /* _PANELS_BREAKS_H */
